Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dicsv4.exception
Class DicsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.business.common.exception.EhealthServiceV2Exception
                  be.ehealth.businessconnector.dicsv4.exception.AbstractDicsException
                      be.ehealth.businessconnector.dicsv4.exception.DicsException

All Implemented Interfaces:
  Serializable

    public class DicsException

extends AbstractDicsException

Connector Exception thrown when the response indicates an error status code who s not No Data Found

If needed the response object is made accessible through the inherited `getResponse` method. If present the business anomalies object is made accessible through the `getAnomalies` method.

See Also:
  Serialized Form

Constructor Summary
`DicsException(StatusResponseType response)`

Method Summary

Methods inherited from class be.ehealth.businessconnector.dicsv4.exception.AbstractDicsException
`getAnomalies`

Methods inherited from class be.ehealth.business.common.exception.EhealthServiceV2Exception
`getResponse`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DicsException

    public DicsException(StatusResponseType response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.